--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Checks the gem directory for the following potential inconsistencies/problems:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Checksum gem itself
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: For each file in each gem, check consistency of installed versions
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Check for files that aren't part of the gem but are in the gems directory
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: 1 cache - 1 spec - 1 directory.
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: returns a hash of ErrorData objects, keyed on the problem gem's name.
full_name: Gem::Validator#alien
is_singleton: false
name: alien
params: ()
visibility: public
